curl --request POST \
--url https://api.pandabase.io/v2/core/stores/{storeId}/cases/{caseId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"attachments": [
{}
]
}
'{
"ok": true,
"data": {
"id": "<string>",
"senderType": "CUSTOMER",
"senderId": "<string>",
"body": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123
}
]
}
}Append a MERCHANT reply to the case.
Side effects:
status to AWAITING_CUSTOMER.Rate limit: 60 req/min per token (in addition to the global 60 req/s cap).
Errors:
400 Cannot send messages on a closed case — reopen it first — PATCH status: "OPEN" first.Requires CASES_WRITE scope.
curl --request POST \
--url https://api.pandabase.io/v2/core/stores/{storeId}/cases/{caseId}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"attachments": [
{}
]
}
'{
"ok": true,
"data": {
"id": "<string>",
"senderType": "CUSTOMER",
"senderId": "<string>",
"body": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"attachments": [
{
"id": "<string>",
"filename": "<string>",
"mimeType": "<string>",
"sizeBytes": 123
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.pandabase.io/llms.txt
Use this file to discover all available pages before exploring further.
Store API token. Use the sk_ prefixed secret key as the Bearer token.
Store ID (shp_ prefix)
12 - 48Case ID (cs_ prefix)
12 - 48